Loading...
Searching...
No Matches
gx_engine::Directout Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::Directout:

## Public Member Functions

float * | get_buffer ()
void | set_data (bool dfill)
| Directout (EngineControl &engine, sigc::slot< void > sync)
| ~Directout ()

## Public Attributes

float * | outdata
bool | mem_allocated
Plugin | plugin
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

void | mem_alloc ()
void | mem_free ()
void | init (unsigned int samplingFreq)
void | compute (int count, float *input0, float *input1, float *output0, float *output1)
void | change_buffersize (unsigned int size)

## Static Private Member Functions

static void | init_static (unsigned int samplingFreq, PluginDef *)
static void | compute_static (int count, float *input0, float *input1, float *output0, float *output1, PluginDef *)

## Private Attributes

int | fSamplingFreq
int | bsize
bool | fdfill
EngineControl & | engine
sigc::slot< void > | sync

## Detailed Description

Definition at line 796 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## Directout()

gx_engine::Directout::Directout | ( | EngineControl & | engine,
|  | sigc::slot< void > | sync )

## ~Directout()

gx_engine::Directout::~Directout | ( |  | ) |

## Member Function Documentation

## change_buffersize()

void gx_engine::Directout::change_buffersize | ( | unsigned int | size | ) |

private

## compute()

void gx_engine::Directout::compute | ( | int | count,
|  | float * | input0,
|  | float * | input1,
|  | float * | output0,
|  | float * | output1 )

private

## compute_static()

void gx_engine::Directout::compute_static | ( | int | count,
|  | float * | input0,
|  | float * | input1,
|  | float * | output0,
|  | float * | output1,
|  | PluginDef * | )

static private

## get_buffer()

float * gx_engine::Directout::get_buffer | ( |  | ) |

inline

Definition at line 815 of file gx_internal_plugins.h.

## init()

void gx_engine::Directout::init | ( | unsigned int | samplingFreq | ) |

private

## init_static()

void gx_engine::Directout::init_static | ( | unsigned int | samplingFreq,
|  | PluginDef * | )

static private

## mem_alloc()

void gx_engine::Directout::mem_alloc | ( |  | ) |

private

## mem_free()

void gx_engine::Directout::mem_free | ( |  | ) |

private

## set_data()

void gx_engine::Directout::set_data | ( | bool | dfill | ) |

## Member Data Documentation

## bsize

int gx_engine::Directout::bsize

private

Definition at line 801 of file gx_internal_plugins.h.

## engine

EngineControl& gx_engine::Directout::engine

private

Definition at line 803 of file gx_internal_plugins.h.

Referenced by Directout().

## fdfill

bool gx_engine::Directout::fdfill

private

Definition at line 802 of file gx_internal_plugins.h.

## fSamplingFreq

int gx_engine::Directout::fSamplingFreq

private

Definition at line 800 of file gx_internal_plugins.h.

## mem_allocated

bool gx_engine::Directout::mem_allocated

Definition at line 814 of file gx_internal_plugins.h.

## outdata

float* gx_engine::Directout::outdata

Definition at line 798 of file gx_internal_plugins.h.

Referenced by get_buffer().

## plugin

Plugin gx_engine::Directout::plugin

Definition at line 817 of file gx_internal_plugins.h.

## sync

sigc::slot<void> gx_engine::Directout::sync

private

Definition at line 804 of file gx_internal_plugins.h.

Referenced by Directout().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h